Deploying Bedework


Deploy Bedework Core


 ./bw -bwchome /home/wildan/jobstuff/OpenThinkLabs/Pelanggan/YouAreImportant/webapps/bedework/bwbuild -bwc YouAreImportant clean.deploy

Build and Deploy the Bedework Timezone Server


./bw -bwchome /home/wildan/jobstuff/OpenThinkLabs/Pelanggan/YouAreImportant/webapps/bedework/bwbuild -bwc YouAreImportant -tzsvr


Build and Deploy the Bedework CardDAV Server


./bw -bwchome /home/wildan/jobstuff/OpenThinkLabs/Pelanggan/YouAreImportant/webapps/bedework/bwbuild -bwc YouAreImportant -carddav


Deploy the Bedework Addressbook Client

./bw -bwchome /home/wildan/jobstuff/OpenThinkLabs/Pelanggan/YouAreImportant/webapps/bedework/bwbuild -bwc YouAreImportant -carddav deploy-addrbook

Build and Deploy webcache/urlbuilder


Ketika melakukan instalasi warbler, di Ubuntu 11 mendapat sedikit masalah, 

$gem install warbler
System.java:-2:in `arraycopy': java.lang.ArrayIndexOutOfBoundsException
from DefaultResolver.java:111:in `makeTime'
from DefaultResolver.java:277:in `create'
from DefaultResolver.java:317:in `handleScalar'
from DefaultResolver.java:435:in `orgHandler'
from DefaultResolver.java:455:in `node_import'
from org/yecht/ruby/DefaultResolver$s_method_1_0$RUBYINVOKER$node_import.gen:65535:in `call'
from CachingCallSite.java:146:in `call'
.....

Solusinya, install jruby 1.9.1 : 

sudo apt-get install ruby1.9.1

Entah ada hubungannya atau tidak, ketika startjboss, terdapat error seperti berikut : 

....
6:30:13,289 ERROR [STDERR] config.gem: Unpacked gem builder-2.1.2 in vendor/gems has no specification file. Run 'rake gems:refresh_specs' to fix this.
06:30:13,294 ERROR [STDERR] config.gem: Unpacked gem httpclient-2.1.4 in vendor/gems has no specification file. Run 'rake gems:refresh_specs' to fix this.
06:30:13,440 ERROR [STDERR] /home/wildan/jobstuff/Software/Jasig/Bedework/quickstart-3.8/jboss-5.1.0.GA/server/default/tmp/3j001-9ad779-h40grh5p-1-h40gu4hp-2q/webcache.war/WEB-INF/vendor/rails/railties/lib/rails/gem_dependency.rb:99:Warning: Gem::Dependency#version_requirements is deprecated and will be removed on or after August 2010.  Use #requirement
06:30:17,743 ERROR [STDERR] /home/wildan/jobstuff/Software/Jasig/Bedework/quickstart-3.8/jboss-5.1.0.GA/server/default/tmp/3j001-9ad779-h40grh5p-1-h40gu4hp-2q/webcache.war/WEB-INF/vendor/rails/actionpack/lib/action_controller/vendor/rack-1.0/rack.rb:17 warning: already initialized constant VERSION
...

Initializing Our databases 

Referensi


ċ
Wildan Maulana,
Jun 25, 2012, 10:51 PM
Comments